TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HenselLift ( elt-alg^pol f, seq(elt-alg^pol) L, alg^pol P ) -> seq()

### Description

<shortdoc> Hensel lift L, the factorization of f modulo p, into polynomial ring P = Z_M[x]. </shortdoc>

### Examples

x_Z2:= Quotient(Z,2);; x_Z2P:= PolynomialAlgebra(x_Z2);; x_f:= X^7-1;; x_seq:= Sequence ([x_Z2P.1^3 + x_Z2P.1 + 1,x_Z2P.1^4 + x_Z2P.1^2 + x_Z2P.1 + 1]); x_Z64 := Quotient(Z,64);; x_Z64P:= PolynomialAlgebra(x_Z64);; HenselLift(x_f,x_seq,x_Z64P);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack